/*Class description: The class Scroll extends the class Artefact. A scroll can give Harry
 * spellPoints
 */
public class Scroll extends Artefact {
	//You can play with this value to make the game more exciting!
	int spellPoints = 10;
	//Setting the appearance, the x and y coordinates
	public Scroll( int xIn, int yIn) {
		super('', xIn, yIn);
	}
	//Returns true if Harry picks up the Scroll and adds spellPoints to Harry
	@Override
	boolean pickObject(HarryPotter player) {
		player.addSpellPoints(spellPoints);
		return true;
	}
	@Override
	public String toString() {
		return "Scroll( +" + spellPoints + " spell points )";
	}

}
